Index: src/Fragmentation/Summation/SetValues/Makefile.am
===================================================================
--- src/Fragmentation/Summation/SetValues/Makefile.am	(revision e5ebafc2d28549321aedb27389ec259195288019)
+++ src/Fragmentation/Summation/SetValues/Makefile.am	(revision b5f548234eb574273fd82f8e538f6da5bbb57be2)
@@ -17,5 +17,6 @@
 	Fragmentation/Summation/SetValues/SamplingGrid.hpp \
 	Fragmentation/Summation/SetValues/SamplingGrid_inline.hpp \
-	Fragmentation/Summation/SetValues/SamplingGridProperties.hpp
+	Fragmentation/Summation/SetValues/SamplingGridProperties.hpp \
+	Fragmentation/Summation/SetValues/SamplingGridProperties_inline.hpp
 
 noinst_LTLIBRARIES += libMolecuilderFragmentationSetValues.la
Index: src/Fragmentation/Summation/SetValues/SamplingGrid.hpp
===================================================================
--- src/Fragmentation/Summation/SetValues/SamplingGrid.hpp	(revision e5ebafc2d28549321aedb27389ec259195288019)
+++ src/Fragmentation/Summation/SetValues/SamplingGrid.hpp	(revision b5f548234eb574273fd82f8e538f6da5bbb57be2)
@@ -163,10 +163,4 @@
   double integral(const SamplingGrid &weight) const;
 
-  /** Returns the volume of the domain for this sampled function.
-   *
-   * @return volume
-   */
-  const double getVolume() const;
-
   /** Returns the total number of gridpoints of the discrete mesh covering the (window) volume.
    *
@@ -183,23 +177,4 @@
   const size_t getWindowGridPointsPerAxis(const size_t axis) const;
 
-  /** Returns the total number of gridpoints of the discrete mesh covering the volume.
-   *
-   * @return number of gridpoints sampled_values should have
-   */
-  const size_t getTotalGridPoints() const;
-
-  /** Returns the number of grid points per axis.
-   *
-   * @return number of grid points per unit length
-   */
-  const size_t getGridPointsPerAxis() const;
-
-  /** Returns the length of the domain for the given \a axis.
-   *
-   * \param axis axis for which to get step length
-   * \return domain length for the given axis, i.e. end - begin
-   */
-  const double getTotalLengthPerAxis(const size_t axis) const;
-
   /** Returns the length of the window for the given \a axis.
    *
@@ -208,11 +183,4 @@
    */
   const double getWindowLengthPerAxis(const size_t axis) const;
-
-  /** Returns the real step length from one discrete grid point to the next.
-   *
-   * \param axis axis for which to get step length
-   * \return step length for the given axis, as domain length over getGridPointsPerAxis()
-   */
-  const double getDeltaPerAxis(const size_t axis) const;
 
   /** Returns the volume of the domain covered by the current window.
Index: src/Fragmentation/Summation/SetValues/SamplingGridProperties.hpp
===================================================================
--- src/Fragmentation/Summation/SetValues/SamplingGridProperties.hpp	(revision e5ebafc2d28549321aedb27389ec259195288019)
+++ src/Fragmentation/Summation/SetValues/SamplingGridProperties.hpp	(revision b5f548234eb574273fd82f8e538f6da5bbb57be2)
@@ -78,4 +78,37 @@
   }
 
+  /** Returns the volume of the domain for this sampled function.
+   *
+   * @return volume
+   */
+  const double getVolume() const;
+
+  /** Returns the total number of gridpoints of the discrete mesh covering the volume.
+   *
+   * @return number of gridpoints sampled_values should have
+   */
+  const size_t getTotalGridPoints() const;
+
+  /** Returns the number of grid points per axis.
+   *
+   * @return number of grid points per unit length
+   */
+  const size_t getGridPointsPerAxis() const;
+
+  /** Returns the length of the domain for the given \a axis.
+   *
+   * \param axis axis for which to get step length
+   * \return domain length for the given axis, i.e. end - begin
+   */
+  const double getTotalLengthPerAxis(const size_t axis) const;
+
+  /** Returns the real step length from one discrete grid point to the next.
+   *
+   * \param axis axis for which to get step length
+   * \return step length for the given axis, as domain length over getGridPointsPerAxis()
+   */
+  const double getDeltaPerAxis(const size_t axis) const;
+
+
 public:
   //!> offset of grid
@@ -107,3 +140,6 @@
 BOOST_CLASS_EXPORT_KEY(SamplingGridProperties)
 
+// define inline functions
+#include "SamplingGridProperties_inline.hpp"
+
 #endif /* SAMPLINGGRIDPROPERTIES_HPP_ */
Index: src/Fragmentation/Summation/SetValues/SamplingGridProperties_inline.hpp
===================================================================
--- src/Fragmentation/Summation/SetValues/SamplingGridProperties_inline.hpp	(revision b5f548234eb574273fd82f8e538f6da5bbb57be2)
+++ src/Fragmentation/Summation/SetValues/SamplingGridProperties_inline.hpp	(revision b5f548234eb574273fd82f8e538f6da5bbb57be2)
@@ -0,0 +1,64 @@
+/*
+ * SamplingGridPropertiesProperties_inline.hpp
+ *
+ *  Created on: 12.05.2013
+ *      Author: heber
+ */
+
+#ifndef SAMPLINGGRIDPROPERTIES_INLINE_HPP_
+#define SAMPLINGGRIDPROPERTIES_INLINE_HPP_
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#include "SamplingGridProperties.hpp"
+
+#include <cmath>
+
+#ifdef HAVE_INLINE
+inline
+#endif
+const double SamplingGridProperties::getVolume() const
+{
+  double volume = 1.;
+  for (size_t i=0;i<3;++i)
+    volume *= end[i]-begin[i];
+  return volume;
+}
+
+#ifdef HAVE_INLINE
+inline
+#endif
+const size_t SamplingGridProperties::getTotalGridPoints() const
+{
+  return pow(getGridPointsPerAxis(),3);
+}
+
+#ifdef HAVE_INLINE
+inline
+#endif
+const size_t SamplingGridProperties::getGridPointsPerAxis() const
+{
+  return pow(2, level);
+}
+
+#ifdef HAVE_INLINE
+inline
+#endif
+const double SamplingGridProperties::getDeltaPerAxis(const size_t axis) const
+{
+  return getTotalLengthPerAxis(axis)/(double)getGridPointsPerAxis();
+}
+
+#ifdef HAVE_INLINE
+inline
+#endif
+const double SamplingGridProperties::getTotalLengthPerAxis(const size_t axis) const
+{
+  return (end[axis] - begin[axis]);
+}
+
+
+#endif /* SAMPLINGGRIDPROPERTIES_INLINE_HPP_ */
Index: src/Fragmentation/Summation/SetValues/SamplingGrid_inline.hpp
===================================================================
--- src/Fragmentation/Summation/SetValues/SamplingGrid_inline.hpp	(revision e5ebafc2d28549321aedb27389ec259195288019)
+++ src/Fragmentation/Summation/SetValues/SamplingGrid_inline.hpp	(revision b5f548234eb574273fd82f8e538f6da5bbb57be2)
@@ -19,15 +19,4 @@
 inline
 #endif
-const double SamplingGrid::getVolume() const
-{
-  double volume = 1.;
-  for (size_t i=0;i<3;++i)
-    volume *= end[i]-begin[i];
-  return volume;
-}
-
-#ifdef HAVE_INLINE
-inline
-#endif
 const double SamplingGrid::getWindowVolume() const
 {
@@ -36,37 +25,4 @@
     volume *= end_window[i]-begin_window[i];
   return volume;
-}
-
-
-#ifdef HAVE_INLINE
-inline
-#endif
-const size_t SamplingGrid::getTotalGridPoints() const
-{
-  return pow(getGridPointsPerAxis(),3);
-}
-
-#ifdef HAVE_INLINE
-inline
-#endif
-const size_t SamplingGrid::getGridPointsPerAxis() const
-{
-  return pow(2, level);
-}
-
-#ifdef HAVE_INLINE
-inline
-#endif
-const double SamplingGrid::getDeltaPerAxis(const size_t axis) const
-{
-  return getTotalLengthPerAxis(axis)/(double)getGridPointsPerAxis();
-}
-
-#ifdef HAVE_INLINE
-inline
-#endif
-const double SamplingGrid::getTotalLengthPerAxis(const size_t axis) const
-{
-  return (end[axis] - begin[axis]);
 }
 
@@ -89,5 +45,4 @@
 }
 
-
 #ifdef HAVE_INLINE
 inline
@@ -103,4 +58,3 @@
 }
 
-
 #endif /* SAMPLINGGRID_INLINE_HPP_ */
